/**
 * Copyright (c) 2008 Washington University
 */
package org.nrg.xnat.filestore;

import java.net.URI;

/**
 * Exception for anything that should result in a 403 Forbidden response.
 * @author Kevin A. Archie <karchie@npg.wustl.edu>
 */
public class ForbiddenException extends Exception {
    private static final long serialVersionUID = 1L;
    
    public ForbiddenException(final String reason, final URI resource, final Throwable t) {
	super(message(reason, resource), t);
    }
    
    public ForbiddenException(final String reason, final URI resource) {
	super(message(reason, resource));
    }
    
    private static final String message(final String reason, final URI resource) {
	final StringBuilder sb = new StringBuilder("Operation not allowed on ");
	sb.append(resource);
	sb.append(": ");
	sb.append(reason);
	return sb.toString();
    }
}
